<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

$lecture_id = "";
$class_id="";
$teacher_nam="";
$class_nam="";
$lecture_nam="";
$main_frame="";
$sub_frame = array();
$event_link_csv = "";

$material_id = "";
$practice_id="";
$vote_id="";
$current_event="";
$event_cnt = 0;
$sub_frames = "";

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

if (isset($_GET["lecture_id"]) && is_numeric($_GET["lecture_id"])) {
	$lecture_id = $_GET["lecture_id"];
}
if (isset($_GET["class_id"]) && is_numeric($_GET["class_id"])) {
	$class_id = $_GET["class_id"];
}

if ($lecture_id == "" || $class_id == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$invite_text = "<form action='start_lec.php' name='invite_form'>";
$invite_text .= "<input type='hidden' name='invite_st' value='1'/>";
$invite_text .= "<input type='hidden' name='class_id' value='".$class_id."'/>";
$invite_text .= "<input type='hidden' name='lecture_id' value='".$lecture_id."'/>";
$invite_text .= "<input type='submit' value='"._NORM_COMMON_INVITE_START."'/></form>";
$change_status_text = "<a href='start_lec.php?class_id=".$class_id."&lecture_id=".$lecture_id."&start_lec=1'>";
$change_status_text .= _NORM_COMMON_LECTURE_START."</a>";

	$class_info_object = new CTeacherClassAccess();
	$class_inf=$class_info_object->getClassMember($conn, $class_id);
	if ($class_inf == false) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/index.php");
		exit;
	} else {
		//Ϥ
		//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/class_reg/index.php");
			exit;
		}
	}
if (isset($_GET["start_lec"]) && $_GET["start_lec"] == 1) {
	$lecture_object = new CLectureTableAccess();
	$event_link_object = new CEventLinkTableAccess ();

	if ($lecture_object->startLec($conn,$lecture_id)
		&& $event_link_object->byStartLecture($conn,$lecture_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/lecture_reg/now_in_lec.php?lecture_id=".$lecture_id."&class_id=".$class_id);
		exit;
	}
	$err_msg .= "Failed to Start Lecture";
}

if (isset($_GET["event_link_id"]) && is_numeric($_GET["event_link_id"])) {
	$current_event = $_GET["event_link_id"];
}

$lecture_frame_object = new CUseLectureFrame();
//$lecture_frame_object->main("",$lecture_id);
$lecture_frame_object->main($conn,$lecture_id);

$sub_frame = $lecture_frame_object->getSubFrame();
$event_cnt = count($sub_frame);
$lec_status = $lecture_frame_object->getLecStatus();

if ($event_cnt == 0 || ($lec_status <> 0 && $lec_status <> 2)) {
	//٥ȤꤵƤʤ⤷ϼȤ֤ǤʤΤǡȤϤǤʤ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/index.php");
	exit;
}

//if ($current_event <> "") $lecture_frame_object->switchMainFrame($current_event);
$lecture_nam = $lecture_frame_object->getLectureNam();

$main_frame = $lecture_frame_object->getMainFrame();
$event_link_csv = $lecture_frame_object->getEventLinkCsv();

foreach($sub_frame as $event_link_id=>$frame_cont) {

				//2012/5/8 iPadऱѹ
	$frame_cont = str_replace("view_event","view_event2",$frame_cont);
	$sub_frames .= "<td>".$frame_cont;

	//$sub_frames .= "<br/><a href='start_lec.php?class_id=".$class_id."&lecture_id=".$lecture_id."&event_link_id=".$event_link_id."'>";
	$sub_frames .= "<br/><a href='#' onClick='switchMainFrame(".$event_link_id.")'>";
	$sub_frames .= _NORM_COMMON_EVENT_SET."</a></td>";


}

if (isset($_GET["invite_st"]) && $_GET["invite_st"] == 1) {
	if (!$lecture_frame_object->startInvite()) {
		$err_msg .= "Failed To Invite Students";
	}
}
$invite_key = $lecture_frame_object->getInviteKey();
if ($invite_key <> "") {
	$invite_text = _NORM_COMMON_INVITE_KEY.":<font color='red' size=50>".$invite_key."</font>";
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_lec_reg/now_lec.tpl');
$show_data = str_replace(':LEC_NAM_REP:', $lecture_nam, $show_data);
$show_data = str_replace(':COLNUM_REP:', ($event_cnt+1), $show_data);
$show_data = str_replace(':MAIN_FRAME_REP:', $main_frame, $show_data);
$show_data = str_replace(':SUB_FRAMES_REP:', $sub_frames, $show_data);
$show_data = str_replace(':LEC_INVITE_REP:', $invite_text, $show_data);
$show_data = str_replace(':CHANGE_STATUS_REP:', $change_status_text, $show_data);
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);

$show_data = str_replace(':EVENT_LINK_CSV_REP:', $event_link_csv, $show_data);
$show_data = str_replace(':QR_LINK_REP:', "", $show_data);


echo $show_data;

?>