<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];
$regist_type = "";
$quiz_id = "";

$class_id = "";
$quiz_nam = "";
$comment = "";
$duration = "";

$practice_ids = array();
$scores = array();
$orders = array();
$back_file = "";

if (!isset($_POST["regist_type"]) || ($_POST["regist_type"] <> "insert"
		&& $_POST["regist_type"] <> "update")) {
	$err_msg .= "Parameter Error regist_type<br/>";
} else {
	$regist_type = $_POST["regist_type"];
}
if (!isset($_POST["class_id"]) || !is_numeric($_POST["class_id"])) {
	$err_msg .= "Parameter Error class_id<br/>";
} else {
	$class_id = $_POST["class_id"];
}
if (!isset($_POST["quiz_nam"]) || $_POST["quiz_nam"] == "") {
	$err_msg .= "Parameter Error quiz_nam<br/>";
} else {
	$quiz_nam = $_POST["quiz_nam"];
}

if (isset($_POST["comment"])) $comment = $_POST["comment"];
if (isset($_POST["duration"])) $duration = $_POST["duration"];
if (!is_array($_POST["practice_id"]) || count($_POST["practice_id"]) == 0) {
	$err_msg .= "Parameter Error practice_id<br/>";
} else {
	$practice_ids = $_POST["practice_id"];
	$scores = $_POST["score"];
	$orders = $_POST["order"];
}

if (isset($_POST["quiz_id"]) && is_numeric($_POST["quiz_id"])) $quiz_id = $_POST["quiz_id"];

if ($err_msg == "") {
	$quiz_object = new CQuizTableAccess();
	$quiz_pra_link_object = new CQuizPraLinkTableAccess();

	if ($regist_type == "insert") {
		if (!$quiz_object->insertQuiz($conn,$admin_id,$class_id,$quiz_nam,$comment,$duration)) {
			$err_msg .= "Failed to Insert Quiz<br/>";
		} else {
			$quiz_id = $quiz_object->getLatestId("quiz_id",$conn);
		}
	} else if ($regist_type == "update") {
		if (!$quiz_object->updateQuiz($conn,$admin_id,$class_id,
				$quiz_nam,$comment,$duration,$quiz_id)) {
			$err_msg .= "Failed to Update Quiz<br/>";
		} else {
			$quiz_pra_link_object->deleteAllPracLink($conn,$quiz_id);
		}
	}
	//$cnt = 0;
	foreach ($practice_ids as $key=>$practice_id) {

		if (!$quiz_pra_link_object->insertPracLink($conn,$quiz_id,
				$practice_id,$scores[$key],$orders[$key])) {
			$err_msg .= "Failed to Insert Link<br/>";
			break;
		}

		/*
		if (!$quiz_pra_link_object->insertPracLink("",$quiz_id,
				$practice_id,$_POST["score_".$practice_id],$_POST["order_".$practice_id])) {
			$err_msg .= "Failed to Insert Link<br/>";
			break;
		}
		*/
		//$cnt++;
	}
}
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
if ($err_msg == "") {
	$back_file ="<a href=\"javascript:window.close();\" onClick=\"Javascript:opener.location.href ='index.php?class_id=".$class_id."'\">"._EXAM_TEA_QUIZSET_DATA_REGISTED."</a>";
}

$show_data = file_get_contents(TEMPLATE_DIR.'ad_quiz_reg/regist.tpl');
$show_data = str_replace(':BACK_FILE_REP:', $back_file, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);

echo $show_data;
?>