<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../util/for_lecture.php';

require_once '../../data/data_for_mobile.php';
ini_set("session.save_handler","files");
ini_set('session.use_trans_sid', '1');
error_reporting(0);
session_start();

//Ӥؤб
$agent = $_SERVER['HTTP_USER_AGENT'];
if (ereg("^DoCoMo", $agent)){
	$sis_id=session_name()."=".session_id()."&guid=on";
} else {
	$sis_id = "";
}
/*
if (mb_ereg("iPhone|iPod|Android", $agent)) {
//if (mb_ereg("BlueD", $agent)) {
	if (isset($_REQUEST["mobile_id"])) {
		$mobile_id = $_REQUEST["mobile_id"];
		$sis_id = "mobile_id=".urlencode($mobile_id);
	}
}
*/

if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["lecture_id"]) || !is_numeric($_POST["lecture_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["input_flag"]) || $_POST["input_flag"]<>1) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["event_link"]) || !is_numeric($_POST["event_link"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["practice_id"]) || !is_numeric($_POST["practice_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["ans_type"]) || !is_numeric($_POST["ans_type"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}

if (!isset($_POST["answered"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
if ($_POST["ans_type"] == 2 && !is_array($_POST["answered"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}


$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$grade = $ses_arr['grade'];
$is_cube = $ses_arr['is_cube'];

$lecture_id = $_POST["lecture_id"];
$event_link=$_POST["event_link"];
$practice_id = $_POST["practice_id"];
$answered = "";
if (isset($_POST["answered"])) $answered = $_POST["answered"];

$ans_type = $_POST["ans_type"];
$department = $_POST["department"];
$start_time = intval($_POST["start_time"]);
$duration = intval(time()) - $start_time;

$is_right = 0;
$err_msg = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	if ($ans_type == 1 || $ans_type == 2) {
		//
		$item_object = new CPracItemTableAccess();
		if ($ans_type == 1) {
			if ($item_object->setSelResult("*",
			" WHERE practice_id=".$practice_id." AND is_right=1 AND item_order = '".$item_object->escapeSqlString($answered)."'",
			$data_object->conn)) {
				if ($item_object->dbFetchArr()) {
					$is_right = 1;
				}
				$item_object->dbFreeResult();
			}
		} else {
			if ($item_object->setSelResult("item_order",
			" WHERE practice_id=".$practice_id." AND is_right=1",$data_object->conn)) {
				$is_right =1;
				$right_cnt = 0;
				while ($res = $item_object->dbFetchArr()) {
					if (!in_array($res["item_order"], $answered)) {
						$is_right =0;
					}
					$right_cnt++;
				}
				if (count($answered) <> $right_cnt) $is_right =0;
				$item_object->dbFreeResult();
			}
			$answered = implode(",",$answered);
		}
	} else if ($ans_type == 0 || $ans_type == 5) {
		//Ҽ
		mb_regex_encoding("UTF-8");
		$key_word_object = new CPracKeyWordTableAccess();
		if ($key_word_object->setKeyWordPerPracticeArr($data_object->conn,$practice_id)) {
			if ($ans_type == 0) $is_right = 1;
			while ($res = $key_word_object->dbFetchArr()) {
				if ($ans_type == 0) {
					if (!mb_ereg($res["key_word_txt"],$answered)) $is_right = 0;
				} else if ($ans_type == 5) {
					if (mb_ereg($res["key_word_txt"],$answered)) $is_right = 1;
				}
			}
			$key_word_object->dbFreeResult();
		}
	} else if ($ans_type == 6) {
		$key_word_object = new CPracKeyWordTableAccess();
		if ($key_word_object->setKeyWordPerPracticeArr($data_object->conn,$practice_id)) {
			while ($res = $key_word_object->dbFetchArr()) {
				if (trim($res["key_word_txt"]) == trim($answered)) {
					$is_right = 1;
					break;
				}
			}
			$key_word_object->dbFreeResult();
		}
	}

	//Ф
	$prac_res_object = new CPracResTableAccess();
	if (!$prac_res_object->insertPracResDataExe($data_object->conn,
		$st_id,$practice_id,$answered,$is_right,
	$department,$duration)) $err_msg .= "Failed to Insert Practice Result<br/>";

	//ȤȽ
	$prac_res_lec_object = new CLecpraAnsTableAccess();
	if (!$prac_res_lec_object->insertLecpraAns($data_object->conn,
		$event_link,$st_id,$answered,$is_right)) $err_msg .= "Failed to Insert Lecture Answer<br/>";

	$data_object->closeDB();
}

//if ($err_msg == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/current_lec/index.php?lecture_id=".intval($lecture_id)."&".$sis_id);
	exit;
//}
//echo "<font color='red'>".$err_msg."</font>";
?>