<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/make_item.php';


//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
if ($admin_status <> 1) {
//Ϥ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/index.php");
	exit;
}

$department_nam = "";
$department_id = "";
$comment = "";
$action_type = "";
$delete_txt = "";

if ($_GET <> null) {
	if (isset($_GET['department_id'])) {
		$department_id = $_GET['department_id'];
	}

	if (!is_numeric($department_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/department_reg/dep_list.php");
		exit;
	}
}
if($_POST <> null) {
	if (isset($_POST['action_type'])) {
		if ($_POST['action_type'] == "update") {
			if (isset($_POST['up_id'])) {
				if (is_numeric($_POST['up_id'])) {
					$department_id = $_POST['up_id'];
					$action_type = "update";
				} else if ($_POST['up_id'] == ""){
					$action_type = "insert";
				}
			}
		}
		if ($_POST['action_type'] == "del" && isset($_POST['DEL0']) &&
			is_numeric($_POST['DEL0'])) {
				$department_id = $_POST['DEL0'];
				$action_type = "del";
		}
	}
}

//$data_object = new CDbAccess();
		//DB³
//if ($data_object->openDB() == false) {
//	$err_msg .= $data_object->err_msg;
//} else {
	$department_data_object= new CDepartmentTableAccess();
	if ($action_type == "insert") {
		//if ($department_data_object->insertDepartmentDataExe($data_object->conn, $_POST)) {
		if ($department_data_object->insertDepartmentDataExe($conn, $_POST)) {
			if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/department_reg/dep_list.php");
			exit;
		} else {
			$err_msg = _EXAM_TEA_DEP_DBERR;
		}
	} else if ($action_type == "update") {
//		if ($department_data_object->updateDepartmentDataExe($data_object->conn, $_POST)) {
		if ($department_data_object->updateDepartmentDataExe($conn, $_POST)) {
		if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/department_reg/dep_list.php");
			exit;
		} else {
			$err_msg = _EXAM_TEA_DEP_DBERR;
		}
	} else if ($action_type == "del") {
//		if ($department_data_object->deleteDepartmentDataExe($data_object->conn, $department_id)) {
		if ($department_data_object->deleteDepartmentDataExe($conn, $department_id)) {
		if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/department_reg/dep_list.php");
			exit;
		} else {
			$err_msg = _EXAM_TEA_DEP_DBERR;
		}
	}

	if ($department_id <> "") {
		//$dep_data = $department_data_object->getDetailDepartmentData($data_object->conn, $department_id);
		$dep_data = $department_data_object->getDetailDepartmentData($conn, $department_id);
		if (!$dep_data) {
			$err_msg = _EXAM_TEA_DEP_DBERR;
		} else {
			$department_nam = htmlspecialchars($dep_data['department_nam'],ENT_QUOTES);
			$comment = htmlspecialchars($dep_data['comment'],ENT_QUOTES);
			$delete_txt = "<form name='del_frm' method='POST' action='mod_form.php'>";
			$delete_txt .= "<input type ='hidden' name ='DEL0' value ='".$department_id."'>";
			$delete_txt .= "<input type ='hidden' name ='action_type' value ='del'>";
			$delete_txt .= "<input type ='BUTTON' value ='"._COMMON_DEL_TXT."' onClick='delData()'></form>";

		}
	}
//	$data_object->closeDB();
//}
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
//$show_data = file_get_contents('../../templates/ad_department_reg/mod_form.tpl');
$show_data = file_get_contents(TEMPLATE_DIR.'ad_department_reg/mod_form.tpl');
$show_data = str_replace(':DEP_ID_REP:', $department_id, $show_data);
$show_data = str_replace(':COMMENT:', $comment, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':DEP_NAM_TXT:', $department_nam, $show_data);
$show_data = str_replace(':DEL_BUTTON_REP:', $delete_txt, $show_data);
echo $show_data;

?>