<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_USR];
//$admin_status =$ses_list['status'];
$st_id=$ses_list['student_id'];
$lecture_id = "";
$insert_flag = 0;
$update_flag = 0;
$fc_id = "";
$st_comment = "";
$te_comment = "";
$st_comment_time = "";
$te_comment_time = "";
$err_msg="";
$action_type="<input type='hidden' name='insert_flag' value=1/>";

if (isset($_REQUEST["lecture_id"]) && is_numeric($_REQUEST["lecture_id"])) {
	$lecture_id = $_REQUEST["lecture_id"];
} else {
	$err_msg = "Parameter Error Lecture_ID";
}

if (isset($_POST["insert_flag"]) && $_POST["insert_flag"] == 1) {
	$insert_flag = 1;
}
if (isset($_POST["update_flag"]) && $_POST["update_flag"] ==1) {
	$update_flag = 1;
}
if (isset($_POST["fc_id"]) && is_numeric($_POST["fc_id"])) {
	$fc_id = $_POST["fc_id"];
}
if (isset($_POST["comment"])) {
	$st_comment = $_POST["comment"];
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$feedbacl_object = new CFeedbackCommentTableAccess();
	if ($insert_flag == 1) {
		if (!$feedbacl_object->insertUserCom($data_object->conn, $st_id,$lecture_id,
			$st_comment)) {
			$err_msg .= "Failed to Insert Comment";
		} else {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."usr/lec_info/comment_form.php?lecture_id=".$lecture_id);
			exit;
		}
	}
	if ($update_flag == 1 && $fc_id <> "") {
		if (!$feedbacl_object->updateUserCom($data_object->conn,$fc_id,$st_id,
			$st_comment)) {
			$err_msg .= "Failed to Update Comment";
		} else {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."usr/lec_info/comment_form.php?lecture_id=".$lecture_id);
			exit;
		}
	}
	if ($feedbacl_object->setFeedBackComOfUser($data_object->conn,$st_id,$lecture_id)) {
		if ($res = $feedbacl_object->dbFetchArr()) {
			$fc_id = intval($res["feedback_comment_id"]);
			$st_comment = htmlspecialchars($res["st_comment"],3);
			$te_comment = nl2br(htmlspecialchars($res["te_comment"],3));
			$st_comment_time = substr($res["st_comment_time"],0,16);
			$te_comment_time = substr($res["te_comment_time"],0,16);
			$action_type="<input type='hidden' name='update_flag' value=1/>";

		}
		$feedbacl_object->dbFreeResult();
	}

	$data_object->closeDB();
}

$show_data = file_get_contents(TEMPLATE_DIR.'usr_lec_info/comment_form.tpl');
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':ST_COMMENT_REP:', $st_comment, $show_data);
$show_data = str_replace(':LECTURE_ID_REP:', $lecture_id, $show_data);
$show_data = str_replace(':FC_ID_REP:', $fc_id, $show_data);
$show_data = str_replace(':TE_COMMENT_REP:', $te_comment, $show_data);
$show_data = str_replace(':TE_COMMENT_TIME_REP:', $te_comment_time, $show_data);
$show_data = str_replace(':ST_COMMENT_TIME_REP:', $st_comment_time, $show_data);
$show_data = str_replace(':ACTION_TYPE_REP:', $action_type, $show_data);

echo $show_data;
?>